Name:           tcpxtract
Version:        1.0.1
Release:        8%{?dist}.1
Summary:        Tool for extracting files from network traffic

Group:      Applications/Internet
License:    GPLv2+
URL:        http://tcpxtract.sourceforge.net/
Source0:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  flex
%if "0%{?dist}" == "0.el4"
BuildRequires:  libpcap
%else
BuildRequires:  libpcap-devel
%endif


%description
tcpxtract is a tool for extracting files from network traffic based on
file signatures.
tcpxtract features the following:
 * Supports 26 popular file formats out-of-the-box. New formats can be
 added by simply editing its config file.
 * With a quick conversion, you can use your old Foremost config file
 with tcpxtract.
 * Custom written search algorithm is lightning fast and very scalable.
 * Search algorithm searches across packet boundries for total coverage
 and forensic quality.
 * Uses libpcap, a popular, portable and stable library for network data
 capture
 * Can be used against a live network or a tcpdump formatted capture file.


%prep
%setup -q
#%patch0 -p0 -b .conf
%{__sed} -i.path -e '/DEFAULT_CONFIG_FILE/s#/usr/local/etc#%{_sysconfdir}#' tcpxtract.c

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_mandir}/man1/tcpxtract.1*
%config(noreplace) %{_sysconfdir}/tcpxtract.conf
%{_bindir}/tcpxtract


%changelog
* Tue Aug 22 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-8.1
- rebuilt

* Tue Aug 8 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-8
- license clarification

* Fri Mar 8 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-7
- removing unused patch from spec

* Thu Mar 8 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-6
- adapt buildrequires for EPEL-4

* Wed Mar 7 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-5
- remove superflous hard coded path from %%configure

* Sat Mar 3 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-4
- really keep timestamps

* Sat Mar 3 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-3
- replace patch with a sed in %%prep
- keep timestamps of default config and man pages

* Sat Mar 3 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-2
- Include a patch to fix the fact that the configuration file is ignored at
runtime, despite "--prefix" at %%configure time

* Fri Mar 2 2007 lonely wolf <wolfy@pcnet.ro> 1.0.1-1
- Initial rpm version starting from scratch
